{% extends "siswa/userbase.html.twig" %}

{% block body %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Detail Pembayaran
        {% endblock %}

    {% endembed %}

    <section class="mt-3 container-fluid">

        <div class="d-flex justify-content-between align-items-center mb-2">
            <p class="mb-0">#{{ payment.getPaymentReference() }}</p>
{#            <a class="d-block t-primary font-weight-bold">Lihat</a>#}
        </div>

        <div class="d-flex justify-content-between align-items-center">
            <p class="text-black-50 f08 mb-0 font-weight-bold">Tanggal Pembayaran</p>
            <p class="text-dark font-weight-bold f10">{{ paymentDate }}</p>
        </div>

        <div class="d-flex justify-content-between align-items-center">
            <p class="text-black-50 f08 mb-0 font-weight-bold">Status</p>
            {% set status = '' %}
            {% if payment.getStatus() == 2 %}
                {% set status = 'Lunas' %}
            {% elseif payment.getStatus() == 6 %}
                {% set status = 'Pembayaran Di Tolak' %}
            {% else %}
                {% set status = 'Belum Lunas' %}
            {% endif %}
            <p class="text-dark font-weight-bold f10">{{ status }}</p>
        </div>

        <hr>

        <p class="f12 font-weight-bold text-left mt-3">Daftar Transaksi</p>

        {% for cart in payment.getCart() %}
        <div style="border-radius: 10px; box-shadow: 0 2px 10px var(--shadowColor1); margin-bottom: 1em">
            <div style="border-bottom: 1px solid #ddd; padding: 1em">
                <div class="d-flex justify-content-between align-items-start">
                    <p class="text-dark f10 ">No. Transaksi : #{{ cart.getReferenceId() }}</p>
                    <i class="mdi mdi-more-vert fa12"></i>
                </div>
                <div class="header-profile mb-0">
                    <div class="gambar-div-sm">
                        <img src="{{ cart.getTransaction().getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() != null ? cart.getTransaction().getTentorSubject().getUser().getTentorProfile().getGeneratedAvatar() : asset('images/no-image.png') }}">
                    </div>
                    <div class="content">
                        <p class="title">{{ cart.getTransaction().getTentorSubject().getUser().getTentorProfile().getFullName() }}</p>
                        <p class="subtitle mb-0">{{ cart.getTransaction().getTentorSubject().getCategory().getName() }} - {{ cart.getTransaction().getTentorSubject().getLevel().getName() }}</p>
                    </div>
                </div>
            </div>
            <div style="padding: 1em">
                <div class="d-flex justify-content-between">
                    <div>
                        <p class="text-black-50 f08 mb-0 font-weight-bold">Total Pembayaran</p>
                    </div>
                    <p class="t-accent font-weight-bold f10 mb-0">Rp. {{ (cart.getTotal() - cart.getDiscount())|number_format(0, ',', '.') }}</p>
                </div>
            </div>
        </div>
        {% endfor %}
    </section>

    <section class="container-fluid">
        <p class="title-section text-left w-100 pl-0">
           Detail Pembayaran
        </p>

        <div class="d-flex justify-content-between">
            <p class="text-black-50">Metode pembayaran</p>
            <p class="text-black-50">{{ payment.getBank().getBank().getName() }} {{ payment.getPaymentMethod() }}</p>
        </div>

        <div class="d-flex justify-content-between">
            <p class="text-black-50">Total Pesanan ({{ payment.getCart()|length }} Pesanan)</p>
            <p class="text-black-50">Rp {{ summary|number_format(0, ',', '.') }}</p>
        </div>

        <div class="d-flex justify-content-between">
            <p class="text-black-50">Manual Code</p>
            <p class="text-black-50">Rp {{ payment.getManualCode() }}</p>
        </div>
        <div class="d-flex justify-content-between">
            <p class="text-black-50">Diskon</p>
            <p class="text-black-50">(Rp 0)</p>
        </div>

        <hr style="border-bottom: 2px solid black">

        <div class="d-flex justify-content-between">
            <p class="text-dark font-weight-bold">Total Pembayaran</p>
            <p class="t-primary font-weight-bold">Rp {{ (summary + payment.getManualCode())|number_format(0, ',', '.') }}</p>
        </div>
        {% if(payment.getConfirmedAt != null) %}
            <div class="b-primaryLight p-2" style="border-left: 4px solid var(--primaryColor)">
                <p class="text-black-50 f08 mb-1">Hai, Kamu Sudah Melakukan Konfirmasi Pada Tagihan Ini. Mohon Di Tunggu Ya..</p>
            </div>
        {% else %}
        <a  class="d-block bt-primary mt-5" href="/member/payment/confirm/{{ pId }}">Konfimasi Pembayaran</a>
        <a href="/member/payment/detail/{{ pId }}" class="d-block bt-outline-primary mt-3 mb-5">Lihat Cara Pembayaran</a>
        {% endif %}
    </section>

    <div class="space-25h"></div>
{% endblock %}

{% block JSMore %}

    <script>
        $('#pesanan').click(function () {
            if ($('#pesanan').is(':checked')) {
                $('#content').html(
                    '<p class="f12 font-weight-bold text-left mt-3"">Detail Langganan</p>\n' +
                    '\n' +
                    '                <div class="header-profile mb-0">\n' +
                    '                    <div class="gambar-div-sm">\n' +
                    '                        <img src="{{ asset('images/common/profil2-ex.png') }}">\n' +
                    '                    </div>\n' +
                    '                    <div class="content">\n' +
                    '                        <p class="f08 text-black-50 mb-0">Nama Pengajar</p>\n' +
                    '                        <p class="title">Norma Mckinney</p>\n' +
                    '                    </div>\n' +
                    '                </div>\n' +
                    '\n' +
                    '                <p class="text-black-50 f08 mb-0 mt-3">Mata Pelajaran</p>\n' +
                    '                <p class="text-dark f10">Matematika SMP</p>\n' +
                    '\n' +
                    '                <p class="text-black-50 f08 mb-0">Jumlah Pertemuan</p>\n' +
                    '                <p class="text-dark f10">16 Pertemuan</p>\n' +
                    '\n' +
                    '                <p class="text-black-50 f08 mb-0">Durasi Pertemuan</p>\n' +
                    '                <p class="text-dark f10">90 Menit</p>\n' +
                    '\n' +
                    '                <hr>\n' +
                    '\n' +
                    '                <p class="f12 font-weight-bold text-left mt-3"">Kontak dan Tempat Les</p>\n' +
                    '\n' +
                    '                <div class="p-3 mb-5" style="border-radius: 15px; box-shadow: 0 1px 4px var(--shadowColor1)">\n' +
                    '                    <p class="f10 font-weight-bold mb-1">Arthur Simmmons</p>\n' +
                    '                    <p class="f10 mb-1">SMA Negeri 6 Surakarta - 12 SMA</p>\n' +
                    '                    <p class="f10 text-black-50 mb-0">Jl. Kawung, Sondakan, Kec. Laweyan, Kota Surakarta - 08123456789</p>\n' +
                    '                </div>'
                )
            }
        });

        $('#invoice').click(function () {
            if ($('#invoice').is(':checked')) {
                $('#content').html(
                    '<p class="f12 font-weight-bold text-left mt-3" t-primary">#SKA202001090001</p>\n' +
                    '                <p class="f10 font-weight-bold text-left text-dark">Les Privat Matematika SMA</p>\n' +
                    '\n' +
                    '        <div class="d-flex justify-content-between align-items-center">\n' +
                    '            <p class="text-black-50 f10 mb-1">Tarif Tiap Pertemuan</p>\n' +
                    '            <p class="text-black-50 f10 mb-1">Rp 50.000</p>\n' +
                    '        </div>\n' +
                    '        <div class="d-flex justify-content-between align-items-center">\n' +
                    '            <p class="text-black-50 f10">Jumlah Pertemuan</p>\n' +
                    '            <p class="text-black-50 f10">8</p>\n' +
                    '        </div>\n' +
                    '        <div class="d-flex justify-content-between align-items-center">\n' +
                    '            <p class="text-black-50 f10">Jumlah Siswa</p>\n' +
                    '            <p class="text-black-50 f10">2</p>\n' +
                    '        </div>\n' +
                    '\n' +
                    '        <hr>\n' +
                    '\n' +
                    '        <div class="d-flex justify-content-between align-items-center">\n' +
                    '            <p class="text-black-50 f10">Subtotal</p>\n' +
                    '            <p class="text-black-50 f10">Rp 800.000</p>\n' +
                    '        </div>\n' +
                    '\n' +
                    '        <div class="d-flex justify-content-between align-items-center">\n' +
                    '            <p class="text-black-50 f10">Diskon</p>\n' +
                    '            <p class="text-dark f10">-Rp 100.000</p>\n' +
                    '        </div>\n' +
                    '\n' +
                    '        <hr>\n' +
                    '\n' +
                    '        <div class="d-flex justify-content-between align-items-center mb-5">\n' +
                    '            <p class="text-dark f10 font-weight-bold">Total Pembayaran</p>\n' +
                    '            <p class="t-primary f10 t-primary">Rp 700.000</p>\n' +
                    '        </div>'
                )
            }
        });

    </script>
{% endblock %}